/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("carter.ui.EditorsInitializer");

dojo.require("rmps.app.ui.EditorRegistry");

rmps.app.ui.EditorRegistry.register("carter.ui.publisher.NewPublishEditor", function(editorInput) {
	return editorInput.declaredClass == "carter.ui.publisher.NewPublishEditorInput";
});

rmps.app.ui.EditorRegistry.register("carter.ui.publisher.ManageModelsEditor", function(editorInput) {
	return editorInput.declaredClass == "carter.ui.publisher.ManageModelsEditorInput";
});

rmps.app.ui.EditorRegistry.register("carter.ui.editors.DefinitionsEditor", function(editorInput) {
	return editorInput.declaredClass == "carter.ui.editors.DefinitionsEditorInput";
});

rmps.app.ui.EditorRegistry.register("carter.ui.editors.DefinitionEditor", function(editorInput) {
	return editorInput.declaredClass == "carter.ui.editors.DefinitionEditorInput";
});

rmps.app.ui.EditorRegistry.register("carter.ui.editors.ActivitiesEditor", function(editorInput) {
	return editorInput.declaredClass == "carter.ui.editors.ActivitiesEditorInput";
});

})();


