/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("carter.ui.ImportingWelcome");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("dojo.i18n");

dojo.requireLocalization("carter.ui", "RhapsodyImportMessages");

var messages = dojo.i18n.getLocalization("carter.ui", "RhapsodyImportMessages");

dojo.declare("carter.ui.ImportingWelcome", [dijit._Widget, dijit._Templated], {
	// Html path is retrieved from messages to support l10n.
	templatePath: dojo.moduleUrl("rmps.app", messages.importWelcomeSrc)
});

})();
