/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
 // NLS_CHARSET=UTF-8
({
	rhapsodyImport: "Rational Rhapsody Import",
	welcomeToImprot: "Welcome to importing",
	// Definitions editors:	
	defintions: "Definitions",
	defintions_link: "< Definitions >",
	defintion: "Definition",
	defintionEditor: "Definition Editor",
	manage: "Manage",
	defName: "Name",
	defStatus: "Status",
	addDefinition: "Create Definition",
	add: "Add",
	actions: "Actions",
	msgDelete: "Delete",
	msgCancel: "Cancel",
	msgEdit: "Edit",
	save: "Save",
	refresh: "Refresh",
	run: "Schedule Now",
	scheduleImport: "Schedule Import",
	loading: "Loading...",
	defaultDefinitionName: "Definition name",
	defModels: "Models",
	modelName: "Name",
	defaultModelName: "Model name",
	schedule: "Schedule",
	enableSchedule: " Enable scheduled import",
	importTime: "Time",
	interval: "Interval in minutes:   ",
	at: "At",
	gmt: "GMT",
	importDays: "Week days",
	selectAll: "Select all",
	deselectAll: "Deselect all",
	scheduleEnabled: "Enabled",
	scheduleDisabled: "Disabled",
	trackInActivitiesPage: 'Track it in the <a href="${0}">Activities</a> page',
	
	// user messages:
	err_NoDefinitionManger: "Failed loading Definitions manager",
	err_NoActivitiesManger: "Failed loading Activities manager",
	err_RootServices_noEntry: "Root Services document has no entry for: ",
	err_NoPublishObj: "Publisher object was not found",
	err_DefDeleteFailed: "Definition deletion failed", 
	err_GetDefinitionsFailed: "Failed getting definitions list",
	err_emptyDefinitionName: "Definition name can not be empty",
	inf_DefinitionSavedOk: "Definition saved successfully",
	inf_DefSavedFailed: "Saving definition failed",
	err_noDefinitionModels: "No model was specified",
	err_EmpltyModelName: "Model name can not be empty",
	err_noScheduleDay: "Schedule day was not selected",
	err_noScheduleInterval: "Schedule interval was not set",
	err_noScheduleType: "Schedule type was not selected",
	err_DuplicatedModelNames: "Found two or more models with the same name",
	err_LaodActivitiesFailed: "Failed loading activities",
	err_DefNameAlreadyInUse: "Definition name already in use",
	err_ModelNameAlreadyInUse: "Model name already in use",
	err_InsufficientPrivileges: "Insufficient privileges",
	inf_DefDeletedOk: "Definition deleted successfully",
	err_DefDeletionFailed: "Definition deletion failed",
	err_ScheduleDefFailed: "Definition scheduling failed",
	inf_ScheduleDefOk: 'The Import has been scheduled. You can track the process in the <a href="${0}">Activities</a> page',
			
	// Activities editor:
	activities: "Activities",
	type: "Type",
	requester: "Requester",
	requestTime: "Request Time",
	startTime: "Start Time",
	duration: "Duration",
	endTime: "End Time",
	actStatus: "Status",
	details: "Details",
	showAll: "Show All",
	deleteAll: "Delete All",
	
	// activity states:
	unknown: "Unknown",
	pending: "Pending",
	inProgress: "In progress",
	error: "Error",
	dropped: "Dropped",
	completed: "Completed",
	warning: "Warning",
	canceled: "Canceled",
	canceling: "Canceling",
	
	// activity types:
	modelimport: "Model import",
	modelremoved: "Model deletion",
	importByEngine: "Import by engine",
	
	// Activity page messages:
	actCancelOk: "Activity cancellation request accepted",
	actCancelFailed: "Activity cancellation request declined",
	actDeleteOk: "Activity Item deleted successfully",
	actDeleteAllOk: "Activity Items deleted successfully",
	actDeleteFailed: "Activity Item deletion failed"
})
