/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

( function()
{



	dojo.provide( "carter.ui.properties.form.LinksArea" );
	
	
	dojo.require( "dijit._Templated" );
	dojo.require( "jazz.ui.ResourceLink" );
	dojo.require( "rmps.app.core.util" );
	dojo.require( "rmps.ui.properties.form.LabeledSection" );
	
	
	dojo.declare(
			
		"carter.ui.properties.form.LinksArea",
		[
			rmps.ui.properties.form.LabeledSection,
			dijit._Templated
		],
		
		{
			
			templateString:		'<div class="carter-ui-properties-form-LinksArea"'
							+			' dojoAttachPoint="containerNode" >'
							+	'</div>',
		
		
				// mixin properties
							
			label:	null,
			name:	"",
			value:	"",
			URIs:	null,
		
		
		
			postCreate: function()
			{
				if (this.readOnly) {
					this.containerNode.readOnly = "readOnly";
				}

				for(  var i = 0;  i < this.URIs.length;  ++i  ) {
					this.containerNode.appendChild( this.createLinkElement( this.URIs[ i ] ) );
				}
			},
			
			
			
			createLinkElement: function( uriItem )
			{
				var hrefElement = dojo.doc.createElement( "a", this.domNode );
				hrefElement.name = uriItem.label;
				hrefElement.href = uriItem.uri;
				hrefElement.appendChild( dojo.doc.createTextNode( uriItem.label ) );
				return hrefElement;
			}
			
		}
	);		// dojo.declare

	
} )();