/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
( function() {

	
	
	dojo.provide( "carter.ui.relations.DiagramRelatedElements" );
	
	
	
    dojo.require( "carter.ui.relations.RelatedElements" );

    
    
    dojo.declare(

	    	"carter.ui.relations.DiagramRelatedElements",
	    	[
				carter.ui.relations.RelatedElements,
			],
    	
    	{
			
	    	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	    	postCreate: function()
	    	{
				this.inherited(arguments);

				this._addOption( this.carterQueries.ELEMENT_CONTAINED_ELEMENTS );
				this._addOption( this.carterQueries.DIAGRAM_REFERENCED_ELEMENTS );
				this._addOption( this.carterQueries.ELEMENT_REFERENCING_ELEMENTS );
	    	},

		}
    );		// dojo.declare
    
    
    
} )();
