/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("carter.ui.UIWorkaround");
dojo.require("rmps.app.ui.internal.explorer.ExplorerMain");


dojox.lang.aspect.advise(rmps.app.ui.internal.explorer.ExplorerMain, "getTopNodesWithIds", {
	around: function(idList) {
		var self = dojox.lang.aspect.getContext().instance;
		var visibleTopNodes = [];
		if (idList) {
			for (var i = 0; i < self._topNodes.length; i++) {
				var tn = self._topNodes[i];
				var id = self.store.getIdentity(tn);
				if (id) {
					if (-1 != dojo.indexOf(idList, id)) {
						visibleTopNodes.push(tn);
					}
				}	 
			}
		}
		return visibleTopNodes;
	}
	});

})();