/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
 // NLS_CHARSET=UTF-8
({	
	// 0 - url
	defaultXhrErrorMessage: "Unable to load: ${0}",
	
	genericError_message: "An error occurred. Please contact your system administrator.",
	
	// 0 - the action
	genericError_message_action: 'An error occurred while performing the action "${0}". Please contact your system administrator.',
	
	genericError_detailedMessage: "Some errors may be fixed by refreshing the page or by clearing your browser's cache and refreshing the page. " +
		 "Please contact your system administrator if the error persists.",

	// description of server error codes:
	errMsg_DEFNAMEALREADYUSED: 		"Definition name already in use",
	errMsg_MODELNAMEALREADYUSED: 	"Model name already used in another definition",
	errMsg_DEFNOTEXIT: 				"Definition doesn't exist",
	errMsg_INVALIDDEFID: 			"Invalid definition identifier supplied",
	errMsg_INVALIDDEFNAME: 			"Invalid definition name",
	errMsg_UNKNOWNSCHEDULETYPE: 	"Unknown schedule type",
	errMsg_INVALIDSCHEDULETYPE: 	"Invalid schedule type",
	errMsg_INVALIDSCHEDULEINTERVAL: "Invalid schedule interval",
	errMsg_INVALIDTIMEFORMAT: 		"Invalid time format (expected HH:MM)",
	errMsg_MISSINGSCHEDULETIME: 	"Schedule time is missing",
	errMsg_INVALIDWEEKDAY: 			"Invalid week day",
	errMsg_INSUFFICIENTPRIVILEGES: 	"Insufficient privileges",
	errMsg_DELETEDEFFAILED:			"Defintion deletion failed",
	errMsg_MISSINGPARAMS:			"Required parameter is missing",
	errMsg_DEFISMODIFIEDBYOTHER:	"Access to definition was blocked by other process",
	errMsg_INTERNALSERVERR:			"Internal server error",
	errMsg_LAUNCHMODELSERVFAILED:	"Failed launching Rhapsody Model Server",
	errMsg_INVALIDPERMISSIONS:		"User priviliges do not allow to perform this operation",
	errMsg_MISSINGMODELSERVCONFIG:	"Rhapsody extension is not configured properly. Please contact your system administrator",
	
	// Definition statuss:
	stat_Active:					"Active",
	stat_Inactive:					"Inactive"
})
