/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2011.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

( function()
{



	dojo.provide( "carter.ui.properties.form.ReferenceList" );
	
	
	dojo.require( "jazz.ui.ResourceLink" );
	dojo.require( "rmps.app.core.util" );
	dojo.require( "carter.ui.properties.form.LinksArea" );
	
	
	dojo.declare(
			
		"carter.ui.properties.form.ReferenceList",
		[
			carter.ui.properties.form.LinksArea
		],
		
		{
			
			createLinkElement: function( uriItem )
			{
				var presentationUri = rmps.app.core.util.getViewResourceUri( uriItem.uri );
				
				var resourceLink = new jazz.ui.ResourceLink(
										{
											uri : uriItem.uri,
											presentationUri : presentationUri,
											lazyFetch: true,
											label: uriItem.label,
											retainLinkText: true
										} );
										
				var divElement = dojo.doc.createElement( "div", this.domNode );
				divElement.appendChild( resourceLink.domNode );
				return divElement;
			}
			
			
		}
	);		// dojo.declare

	
} )();