/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
( function() {

	

	dojo.provide( "carter.ui.properties.form.TextInput" );
	
	
	
	dojo.require( "dijit._Templated" );
	dojo.require( "rmps.ui.properties.form.LabeledSection" );

	
	
	dojo.declare(
		"carter.ui.properties.form.TextInput",
		[
			rmps.ui.properties.form.LabeledSection,
			dijit._Templated
		],
		
		{
			
			templateString:
								'<div class="carter-ui-properties-form-TextInput">'
							+		'<input'
							+				' dojoAttachPoint="inputNode"'
							+				' name="${name}"'
							+				' value="${value}" >'
							+		'</input>'
							+	'</div>',
			
							
				// attach points
							
			inputNode:	null,	
			
			
				// mixin properties
				
			label:		null,	
			name:		"",
			value:		"",
			readOnly:	false,
		
		
		
			postCreate: function()
			{
				if (this.readOnly)
				{
					this.inputNode.readOnly = "readOnly";
				}
			}
	
		}
	);		// dojo.declare
	
	
	
} )();
