/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
( function() {
	

	
	dojo.provide( "carter.ui.relations.ElementRelationsTabInitializer" );
	
	
	
	dojo.require( "dojox.lang.aspect" );

		dojo.require( "dojox.lang.aspect" );
	
	dojo.require("dojo.i18n");
	dojo.requireLocalization("carter.ui", "RelationsMessages");
	var messages = dojo.i18n.getLocalization("carter.ui", "RelationsMessages");
	
	
	dojox.lang.aspect.advise(
			
		rmps.app.ui.internal.editors.PropertiesEditor,
		"addTabs",
		
		{
			
			after: function()
			{
				var self = dojox.lang.aspect.getContext().instance;
				if( self.resourceInfo.diagramName ) return;

				if( self.resourceInfo.appId == "application/Rhapsody" )
				{
					self.addTab(
							"relatedElements",
							messages.relatedElement,
							"carter.ui.relations.ElementRelatedElements",
							{
								resourceInfo: self.resourceInfo,
								editor: self
							}
						);
				}
			}
		
		}
	);

	
} )();