/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.rational.carter.ide.client.user.RhpUserClient");

dojo.require("rmps.core.user.UserClient");

dojo.require("jazz.client.xhr");

dojo.require("rmps.core.RootServices");

var WHOAMI_PATH = rmps.core.RootServices.getUri(rmps.core.Namespaces.JFS, "currentUser");

com.ibm.rational.carter.ide.client.user.RhpUserClient = dojo.mixin(rmps.core.user.UserClient, {
		whoAmI: function(){
			var args = {
				url: WHOAMI_PATH,
				handleAs: "text",
				load: function(response, ioArgs){
					var deferred = com.ibm.rational.carter.ide.client.user.RhpUserClient.getUser(response); 
					return deferred;
					
				}
			};
			return jazz.client.xhrGet(args);
		}
	});
})();